<?php
namespace Mocha\UI;

use Mocha\Core\InstanceSet;

class ElementContent
{
	private $_Text;
	private $_DisplayOptions;

	public function __construct($text, $displayOptions)
	{
		$this->_Text = $text;
		$this->_DisplayOptions = new InstanceSet();
		for ($i = 0; $i < count($displayOptions); $i++)
		{
			$this->_DisplayOptions->add($displayOptions[$i]);
		}
	}

	public function getText()
	{
		return $this->_Text;
	}

	public function getDisplayOptions()
	{
		return $this->_DisplayOptions;
	}
}

?>